<?php

$chapitre = $args['data'];
$couleur = get_field('couleur') != '' ? get_field('couleur') : '#000000';
$theme = get_field('theme');

$allEmpty = true;
if (is_array($chapitre)) {
  foreach ($chapitre as $item) {
    if (!empty($item['titre_du_menu'])) {
      $allEmpty = false;
      break;
    }
  }
}

if ($allEmpty) {
  // Si tous les titres sont vides, on ne fait rien
  echo '<script>document.querySelector(".main-content.v2").classList.add("no-pagemenu");</script>';
  return;
}

if (is_array($chapitre) && count($chapitre) > 1) {
  echo '<div id="page-menu" class="page-menu ' . $theme . '  py-4 lg:py-5" style="background-color:' . $couleur . '!important">';
  echo '<div class="wrapper">';


  foreach ($chapitre as $item) {
    $titre_menu = isset($item['titre_du_menu']) ? $item['titre_du_menu'] : '';
    $id = getIDFromString($titre_menu);
    if ($titre_menu != '') {
      echo '<a href="#chapitre-' . $id . '"h-full class="text-[9px] md:text-[10px] mx-10 heading-text uppercase pagemenu-item js-scroll-to -mt-1 md:mt-0" >' . $titre_menu . '</a>';
    }
  }
  echo '</div>';
  echo '</div>';
}
